# Makefile.in generated by automake 1.15 from Makefile.am.
# farstream/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# these are the variables your Makefile.am should set
# the example is based on the colorbalance interface

#glib_enum_headers=$(colorbalance_headers)
#glib_enum_define=GST_COLOR_BALANCE
#glib_gen_prefix=gst_color_balance
#glib_gen_basename=colorbalance




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/farstream
pkgincludedir = $(includedir)/farstream
pkglibdir = $(libdir)/farstream
pkglibexecdir = $(libexecdir)/farstream
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-mingw32
host_triplet = x86_64-pc-mingw32
target_triplet = x86_64-pc-mingw32
#am__append_1 = $(dist_gir_DATA) $(typelib_DATA)
subdir = farstream
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/common/m4/as-ac-expand.m4 \
	$(top_srcdir)/common/m4/as-auto-alt.m4 \
	$(top_srcdir)/common/m4/as-compiler-flag.m4 \
	$(top_srcdir)/common/m4/as-libtool.m4 \
	$(top_srcdir)/common/m4/as-python.m4 \
	$(top_srcdir)/common/m4/as-scrub-include.m4 \
	$(top_srcdir)/common/m4/as-version.m4 \
	$(top_srcdir)/common/m4/gst-arch.m4 \
	$(top_srcdir)/common/m4/gst-args.m4 \
	$(top_srcdir)/common/m4/gst-check.m4 \
	$(top_srcdir)/common/m4/gst-error.m4 \
	$(top_srcdir)/common/m4/gst-glib2.m4 \
	$(top_srcdir)/common/m4/gst-plugin-docs.m4 \
	$(top_srcdir)/common/m4/gst-plugindir.m4 \
	$(top_srcdir)/common/m4/gst.m4 \
	$(top_srcdir)/common/m4/gtk-doc.m4 \
	$(top_srcdir)/common/m4/pkg.m4 \
	$(top_srcdir)/m4/introspection.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__dist_gir_DATA_DIST) \
	$(libfarstreaminclude_HEADERS) $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(girdir)" \
	"$(DESTDIR)$(typelibdir)" \
	"$(DESTDIR)$(libfarstreamincludedir)" \
	"$(DESTDIR)$(libfarstreamincludedir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
am__DEPENDENCIES_1 =
libfarstream_0.2_la_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_libfarstream_0.2_la_OBJECTS =  \
	libfarstream_0.2_la-fs-candidate.lo \
	libfarstream_0.2_la-fs-codec.lo \
	libfarstream_0.2_la-fs-participant.lo \
	libfarstream_0.2_la-fs-session.lo \
	libfarstream_0.2_la-fs-stream.lo \
	libfarstream_0.2_la-fs-conference.lo \
	libfarstream_0.2_la-fs-transmitter.lo \
	libfarstream_0.2_la-fs-stream-transmitter.lo \
	libfarstream_0.2_la-fs-plugin.lo \
	libfarstream_0.2_la-fs-element-added-notifier.lo \
	libfarstream_0.2_la-fs-utils.lo \
	libfarstream_0.2_la-fs-rtp.lo
nodist_libfarstream_0.2_la_OBJECTS =  \
	libfarstream_0.2_la-fs-enumtypes.lo
libfarstream_0.2_la_OBJECTS =  \
	$(am_libfarstream_0.2_la_OBJECTS) \
	$(nodist_libfarstream_0.2_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libfarstream_0.2_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(libfarstream_0.2_la_CFLAGS) $(CFLAGS) \
	$(libfarstream_0.2_la_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libfarstream_0.2_la_SOURCES) \
	$(nodist_libfarstream_0.2_la_SOURCES)
DIST_SOURCES = $(libfarstream_0.2_la_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__dist_gir_DATA_DIST = Farstream-0.2.gir
DATA = $(dist_gir_DATA) $(typelib_DATA)
HEADERS = $(libfarstreaminclude_HEADERS) \
	$(nodist_libfarstreaminclude_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/common-modified/gst-glib-gen.mak \
	$(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /c/cygwin/home/Eion/win32-dev/farstream-0.2.8/missing aclocal-1.15
ACLOCAL_AMFLAGS = -I m4 -I common/m4
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AS = as
AUTOCONF = ${SHELL} /c/cygwin/home/Eion/win32-dev/farstream-0.2.8/missing autoconf
AUTOHEADER = ${SHELL} /c/cygwin/home/Eion/win32-dev/farstream-0.2.8/missing autoheader
AUTOMAKE = ${SHELL} /c/cygwin/home/Eion/win32-dev/farstream-0.2.8/missing automake-1.15
AWK = gawk
CC = gcc
CCASFLAGS = 
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXXFLAGS = 
CYGPATH_W = cygpath -w
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ERROR_CFLAGS = 
EXEEXT = .exe
FFLAGS = 
FGREP = /usr/bin/grep -F
FS_AGE = 1
FS_ALL_LDFLAGS = -no-undefined
FS_APIVERSION = 0.2
FS_API_VERSION = 0_2
FS_CFLAGS = -pthread -mms-bitfields -IC:/msys64/mingw32/include/gstreamer-1.0 -IC:/msys64/mingw32/lib/gstreamer-1.0/include -IC:/msys64/mingw32/include/glib-2.0 -IC:/msys64/mingw32/lib/glib-2.0/include -IC:/msys64/mingw32/include $(FS_OPTION_CFLAGS)
FS_CURRENT = 6
FS_INTERNAL_CFLAGS = -I$(top_srcdir) -I$(top_builddir)
FS_LIBS = -LC:/msys64/mingw32/lib -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0 -lintl $(GCOV_LIBS)
FS_LIBVERSION = 6:0:1
FS_LIB_LDFLAGS = -export-symbols-regex ^fs_.*
FS_LICENSE = LGPL
FS_LT_LDFLAGS =  -version-info 6:0:1
FS_OPTION_CFLAGS = $(WARNING_CFLAGS) $(ERROR_CFLAGS) $(DEBUG_CFLAGS) $(PROFILE_CFLAGS) $(GCOV_CFLAGS) $(OPT_CFLAGS) -Wno-error=deprecated-declarations 
FS_PLUGINS_ALL =  	fsrawconference 	fsrtpconference 	fsmsnconference  	fsvideoanyrate  	fsrtpxdata 	
FS_PLUGINS_SELECTED =  	fsrawconference 	fsrtpconference 	fsmsnconference  	fsvideoanyrate  	fsrtpxdata 	
FS_PLUGIN_LDFLAGS = -module -avoid-version -export-symbols-regex '^_*fs_.*plugin.*' -no-undefined
FS_PLUGIN_PATH = /usr/local/lib/farstream-0.2
FS_PREFIX = C:/msys64/mingw32
FS_REVISION = 0
FS_TRANSMITTER_PLUGINS_ALL =  	rawudp 	multicast 	nice 	shm
	
FS_TRANSMITTER_PLUGINS_SELECTED =  	rawudp 	multicast 	nice 	shm
	
GCOV = 
GCOV_CFLAGS = 
GCOV_LIBS = 
GIO_CFLAGS = -pthread -mms-bitfields -IC:/msys64/mingw32/include/glib-2.0 -IC:/msys64/mingw32/lib/glib-2.0/include -IC:/msys64/mingw32/include
GIO_LDFLAGS = 
GIO_LIBS = -LC:/msys64/mingw32/lib -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lintl
GIO_UNIX_CFLAGS = 
GIO_UNIX_LIBS = 
GLIB_CFLAGS = -pthread -mms-bitfields -IC:/msys64/mingw32/include/glib-2.0 -IC:/msys64/mingw32/lib/glib-2.0/include -IC:/msys64/mingw32/include
GLIB_EXTRA_CFLAGS =  -DG_THREADS_MANDATORY -DG_DISABLE_CAST_CHECKS -DG_DISABLE_ASSERT
GLIB_LIBS = -LC:/msys64/mingw32/lib -lgobject-2.0 -lgthread-2.0 -pthread -lgmodule-2.0 -pthread -lglib-2.0 -lintl
GLIB_PREFIX = C:/msys64/mingw32
GLIB_REQ = 2.32
GREP = /usr/bin/grep
GSTPB_PLUGINS_DIR = C:/msys64/mingw32/lib/gstreamer-1.0
GST_API_VERSION = 1.0
GST_BASE_CFLAGS = -pthread -mms-bitfields -IC:/msys64/mingw32/include/gstreamer-1.0 -IC:/msys64/mingw32/lib/gstreamer-1.0/include -IC:/msys64/mingw32/include/glib-2.0 -IC:/msys64/mingw32/lib/glib-2.0/include -IC:/msys64/mingw32/include
GST_BASE_LIBS = -LC:/msys64/mingw32/lib -lgstbase-1.0 -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0 -lintl
GST_CFLAGS = -pthread -mms-bitfields -IC:/msys64/mingw32/include/gstreamer-1.0 -IC:/msys64/mingw32/lib/gstreamer-1.0/include -IC:/msys64/mingw32/include/glib-2.0 -IC:/msys64/mingw32/lib/glib-2.0/include -IC:/msys64/mingw32/include
GST_CHECK_CFLAGS = -pthread -mms-bitfields -IC:/msys64/mingw32/include/gstreamer-1.0 -IC:/msys64/mingw32/lib/gstreamer-1.0/include -IC:/msys64/mingw32/include/glib-2.0 -IC:/msys64/mingw32/lib/glib-2.0/include -IC:/msys64/mingw32/include
GST_CHECK_LIBS = -LC:/msys64/mingw32/lib -lgstcheck-1.0 -lm -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0 -lintl
GST_INSTALL_PLUGINS_HELPER = /usr/local/libexec/gst-install-plugins-helper
GST_LEVEL_DEFAULT = GST_LEVEL_NONE
GST_LIBS = -LC:/msys64/mingw32/lib -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0 -lintl
GST_PACKAGE_NAME = Farstream source release
GST_PACKAGE_ORIGIN = Unknown package origin
GST_PLUGINS_BASE_CFLAGS = -pthread -mms-bitfields -IC:/msys64/mingw32/include/gstreamer-1.0 -IC:/msys64/mingw32/lib/gstreamer-1.0/include -IC:/msys64/mingw32/include/glib-2.0 -IC:/msys64/mingw32/lib/glib-2.0/include -IC:/msys64/mingw32/include
GST_PLUGINS_BASE_DIR = C:/msys64/mingw32/lib/gstreamer-1.0/gst:C:/msys64/mingw32/lib/gstreamer-1.0/sys:C:/msys64/mingw32/lib/gstreamer-1.0/ext
GST_PLUGINS_BASE_LIBS = -LC:/msys64/mingw32/lib -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0 -lintl
GST_PLUGINS_DIR = C:/msys64/mingw32/lib/gstreamer-1.0
GST_PLUGIN_LDFLAGS = -module -avoid-version -export-symbols-regex '^_*gst_plugin_.*' -no-undefined
GST_TOOLS_DIR = C:/msys64/mingw32/bin
GTKDOC_CHECK = 
GTKDOC_DEPS_CFLAGS = 
GTKDOC_DEPS_LIBS = 
GTKDOC_MKPDF = 
GTKDOC_REBASE = true
GUPNP_CFLAGS = 
GUPNP_LIBS = 
HTML_DIR = ${datadir}/gtk-doc/html
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTROSPECTION_CFLAGS = 
INTROSPECTION_COMPILER = 
INTROSPECTION_GENERATE = 
INTROSPECTION_GIRDIR = 
INTROSPECTION_LIBS = 
INTROSPECTION_MAKEFILE = 
INTROSPECTION_SCANNER = 
INTROSPECTION_TYPELIBDIR = 
LD = C:/msys64/mingw32/i686-w64-mingw32/bin/ld.exe
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = cp -pR
LTLIBOBJS = 
MAKEINFO = ${SHELL} /c/cygwin/home/Eion/win32-dev/farstream-0.2.8/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NICE_CFLAGS = -pthread -mms-bitfields -IC:/msys64/mingw32/include/nice -IC:/msys64/mingw32/include -IC:/msys64/mingw32/include/glib-2.0 -IC:/msys64/mingw32/lib/glib-2.0/include -IC:/msys64/mingw32/include
NICE_LIBS = -LC:/msys64/mingw32/lib -lnice -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lintl
NM = /mingw32/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = farstream
PACKAGE_BUGREPORT = https://bugs.freedesktop.org/enter_bug.cgi?product=Farstream
PACKAGE_NAME = Farstream
PACKAGE_STRING = Farstream 0.2.8
PACKAGE_TARNAME = farstream
PACKAGE_URL = 
PACKAGE_VERSION = 0.2.8
PACKAGE_VERSION_MAJOR = 0
PACKAGE_VERSION_MICRO = 8
PACKAGE_VERSION_MINOR = 2
PACKAGE_VERSION_NANO = 0
PACKAGE_VERSION_RELEASE = 1
PATH_SEPARATOR = :
PKG_CONFIG = /mingw32/bin/pkg-config
PLUGINDIR = /usr/local/lib/gstreamer-1.0
PLUGIN_LIBTOOLFLAGS = --tag=disable-static
PROFILE_CFLAGS = -g
PYTHON = /mingw32/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = win32
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
RANLIB = ranlib
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VALGRIND_CFLAGS = 
VALGRIND_LIBS = 
VALGRIND_PATH = no
VERSION = 0.2.8
WARNING_CFLAGS =  -Wall -Wdeclaration-after-statement -Wvla -Wpointer-arith
abs_builddir = /c/cygwin/home/Eion/win32-dev/farstream-0.2.8/farstream
abs_srcdir = /c/cygwin/home/Eion/win32-dev/farstream-0.2.8/farstream
abs_top_builddir = /c/cygwin/home/Eion/win32-dev/farstream-0.2.8
abs_top_srcdir = /c/cygwin/home/Eion/win32-dev/farstream-0.2.8
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-mingw32
build_alias = 
build_cpu = x86_64
build_os = mingw32
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-mingw32
host_alias = 
host_cpu = x86_64
host_os = mingw32
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /c/cygwin/home/Eion/win32-dev/farstream-0.2.8/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/farstream
pkgpythondir = ${pythondir}/farstream
plugindir = $(libdir)/gstreamer-1.0
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.7/site-packages
pythondir = ${prefix}/lib/python2.7/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-pc-mingw32
target_alias = 
target_cpu = x86_64
target_os = mingw32
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
libfarstreamincludedir = $(includedir)/farstream-0.2/farstream
libfarstreaminclude_HEADERS = \
		fs-candidate.h \
		fs-codec.h \
		fs-participant.h \
		fs-session.h \
		fs-stream.h \
		fs-conference.h \
		fs-transmitter.h \
		fs-stream-transmitter.h \
		fs-plugin.h \
		fs-element-added-notifier.h \
		fs-utils.h \
		fs-rtp.h

nodist_libfarstreaminclude_HEADERS = \
		fs-enumtypes.h

lib_LTLIBRARIES = libfarstream-0.2.la
BUILT_SOURCES = \
	$(nodist_libfarstream_0.2_la_SOURCES) \
	$(nodist_libfarstreaminclude_HEADERS)

CLEANFILES = $(BUILT_SOURCES) $(am__append_1)
libfarstream_0.2_la_SOURCES = \
		fs-candidate.c \
		fs-codec.c \
		fs-participant.c \
		fs-session.c \
		fs-stream.c \
		fs-conference.c \
		fs-transmitter.c \
		fs-stream-transmitter.c \
		fs-plugin.c \
		fs-element-added-notifier.c \
		fs-utils.c \
		fs-rtp.c \
		fs-private.h

nodist_libfarstream_0.2_la_SOURCES = \
		fs-enumtypes.c

libfarstream_0.2_la_CFLAGS = \
	$(FS_INTERNAL_CFLAGS) $(FS_CFLAGS) \
	$(GLIB_CFLAGS) \
	$(GST_PLUGINS_BASE_CFLAGS) \
	$(GST_BASE_CFLAGS) \
	$(GST_CFLAGS)

libfarstream_0.2_la_LIBADD = \
	$(GLIB_LIBS) \
	$(GST_BASE_LIBS) \
	$(GST_LIBS)

libfarstream_0.2_la_LDFLAGS = \
	$(FS_LIB_LDFLAGS) \
	$(FS_ALL_LDFLAGS) \
	$(FS_LT_LDFLAGS) 

public_headers = fs-candidate.h \
		fs-codec.h \
		fs-participant.h \
		fs-session.h \
		fs-stream.h \
		fs-conference.h \
		fs-utils.h

glib_enum_headers = $(public_headers)
glib_enum_define = FS
glib_gen_prefix = _fs
glib_gen_basename = fs
enum_headers = $(foreach h,$(glib_enum_headers),\n\#include \"$(h)\")
#introspection_sources = \
#	$(libfarstream_0.2_la_SOURCES) \
#	$(nodist_libfarstreaminclude_HEADERS) \
#	$(libfarstreaminclude_HEADERS)

#INTROSPECTION_GIRS = Farstream-0.2.gir
#Farstream_0_2_gir_NAMESPACE = Farstream
#Farstream_0_2_gir_VERSION = 0.2
#Farstream_0_2_gir_LIBS = libfarstream-0.2.la
#Farstream_0_2_gir_FILES = $(introspection_sources)
#Farstream_0_2_gir_INCLUDES = GObject-2.0 Gst-1.0
#Farstream_0_2_gir_CFLAGS = $(FS_INTERNAL_CFLAGS)
#Farstream_0_2_gir_SCANNERFLAGS = --symbol-prefix=fs \
#	--identifier-prefix=Fs --add-init-section="gst_init(NULL,NULL);" \
#	--pkg-export=farstream-0.2 \
#	$(foreach hdr,$(public_headers),--c-include=$(hdr))

#Farstream_0_2_gir_LDFLAGS = $(GST_LIBS)
#girdir = $(datadir)/gir-1.0
#dist_gir_DATA = Farstream-0.2.gir
#typelibdir = $(libdir)/girepository-1.0
#typelib_DATA = Farstream-0.2.typelib
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/common-modified/gst-glib-gen.mak $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu farstream/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu farstream/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;
$(top_srcdir)/common-modified/gst-glib-gen.mak $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
	}

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}

libfarstream-0.2.la: $(libfarstream_0.2_la_OBJECTS) $(libfarstream_0.2_la_DEPENDENCIES) $(EXTRA_libfarstream_0.2_la_DEPENDENCIES) 
	$(AM_V_CCLD)$(libfarstream_0.2_la_LINK) -rpath $(libdir) $(libfarstream_0.2_la_OBJECTS) $(libfarstream_0.2_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/libfarstream_0.2_la-fs-candidate.Plo
include ./$(DEPDIR)/libfarstream_0.2_la-fs-codec.Plo
include ./$(DEPDIR)/libfarstream_0.2_la-fs-conference.Plo
include ./$(DEPDIR)/libfarstream_0.2_la-fs-element-added-notifier.Plo
include ./$(DEPDIR)/libfarstream_0.2_la-fs-enumtypes.Plo
include ./$(DEPDIR)/libfarstream_0.2_la-fs-participant.Plo
include ./$(DEPDIR)/libfarstream_0.2_la-fs-plugin.Plo
include ./$(DEPDIR)/libfarstream_0.2_la-fs-rtp.Plo
include ./$(DEPDIR)/libfarstream_0.2_la-fs-session.Plo
include ./$(DEPDIR)/libfarstream_0.2_la-fs-stream-transmitter.Plo
include ./$(DEPDIR)/libfarstream_0.2_la-fs-stream.Plo
include ./$(DEPDIR)/libfarstream_0.2_la-fs-transmitter.Plo
include ./$(DEPDIR)/libfarstream_0.2_la-fs-utils.Plo

.c.o:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ $<

.c.obj:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
	$(am__mv) $$depbase.Tpo $$depbase.Po
#	$(AM_V_CC)source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
	$(am__mv) $$depbase.Tpo $$depbase.Plo
#	$(AM_V_CC)source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<

libfarstream_0.2_la-fs-candidate.lo: fs-candidate.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -MT libfarstream_0.2_la-fs-candidate.lo -MD -MP -MF $(DEPDIR)/libfarstream_0.2_la-fs-candidate.Tpo -c -o libfarstream_0.2_la-fs-candidate.lo `test -f 'fs-candidate.c' || echo '$(srcdir)/'`fs-candidate.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libfarstream_0.2_la-fs-candidate.Tpo $(DEPDIR)/libfarstream_0.2_la-fs-candidate.Plo
#	$(AM_V_CC)source='fs-candidate.c' object='libfarstream_0.2_la-fs-candidate.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -c -o libfarstream_0.2_la-fs-candidate.lo `test -f 'fs-candidate.c' || echo '$(srcdir)/'`fs-candidate.c

libfarstream_0.2_la-fs-codec.lo: fs-codec.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -MT libfarstream_0.2_la-fs-codec.lo -MD -MP -MF $(DEPDIR)/libfarstream_0.2_la-fs-codec.Tpo -c -o libfarstream_0.2_la-fs-codec.lo `test -f 'fs-codec.c' || echo '$(srcdir)/'`fs-codec.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libfarstream_0.2_la-fs-codec.Tpo $(DEPDIR)/libfarstream_0.2_la-fs-codec.Plo
#	$(AM_V_CC)source='fs-codec.c' object='libfarstream_0.2_la-fs-codec.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -c -o libfarstream_0.2_la-fs-codec.lo `test -f 'fs-codec.c' || echo '$(srcdir)/'`fs-codec.c

libfarstream_0.2_la-fs-participant.lo: fs-participant.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -MT libfarstream_0.2_la-fs-participant.lo -MD -MP -MF $(DEPDIR)/libfarstream_0.2_la-fs-participant.Tpo -c -o libfarstream_0.2_la-fs-participant.lo `test -f 'fs-participant.c' || echo '$(srcdir)/'`fs-participant.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libfarstream_0.2_la-fs-participant.Tpo $(DEPDIR)/libfarstream_0.2_la-fs-participant.Plo
#	$(AM_V_CC)source='fs-participant.c' object='libfarstream_0.2_la-fs-participant.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -c -o libfarstream_0.2_la-fs-participant.lo `test -f 'fs-participant.c' || echo '$(srcdir)/'`fs-participant.c

libfarstream_0.2_la-fs-session.lo: fs-session.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -MT libfarstream_0.2_la-fs-session.lo -MD -MP -MF $(DEPDIR)/libfarstream_0.2_la-fs-session.Tpo -c -o libfarstream_0.2_la-fs-session.lo `test -f 'fs-session.c' || echo '$(srcdir)/'`fs-session.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libfarstream_0.2_la-fs-session.Tpo $(DEPDIR)/libfarstream_0.2_la-fs-session.Plo
#	$(AM_V_CC)source='fs-session.c' object='libfarstream_0.2_la-fs-session.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -c -o libfarstream_0.2_la-fs-session.lo `test -f 'fs-session.c' || echo '$(srcdir)/'`fs-session.c

libfarstream_0.2_la-fs-stream.lo: fs-stream.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -MT libfarstream_0.2_la-fs-stream.lo -MD -MP -MF $(DEPDIR)/libfarstream_0.2_la-fs-stream.Tpo -c -o libfarstream_0.2_la-fs-stream.lo `test -f 'fs-stream.c' || echo '$(srcdir)/'`fs-stream.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libfarstream_0.2_la-fs-stream.Tpo $(DEPDIR)/libfarstream_0.2_la-fs-stream.Plo
#	$(AM_V_CC)source='fs-stream.c' object='libfarstream_0.2_la-fs-stream.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -c -o libfarstream_0.2_la-fs-stream.lo `test -f 'fs-stream.c' || echo '$(srcdir)/'`fs-stream.c

libfarstream_0.2_la-fs-conference.lo: fs-conference.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -MT libfarstream_0.2_la-fs-conference.lo -MD -MP -MF $(DEPDIR)/libfarstream_0.2_la-fs-conference.Tpo -c -o libfarstream_0.2_la-fs-conference.lo `test -f 'fs-conference.c' || echo '$(srcdir)/'`fs-conference.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libfarstream_0.2_la-fs-conference.Tpo $(DEPDIR)/libfarstream_0.2_la-fs-conference.Plo
#	$(AM_V_CC)source='fs-conference.c' object='libfarstream_0.2_la-fs-conference.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -c -o libfarstream_0.2_la-fs-conference.lo `test -f 'fs-conference.c' || echo '$(srcdir)/'`fs-conference.c

libfarstream_0.2_la-fs-transmitter.lo: fs-transmitter.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -MT libfarstream_0.2_la-fs-transmitter.lo -MD -MP -MF $(DEPDIR)/libfarstream_0.2_la-fs-transmitter.Tpo -c -o libfarstream_0.2_la-fs-transmitter.lo `test -f 'fs-transmitter.c' || echo '$(srcdir)/'`fs-transmitter.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libfarstream_0.2_la-fs-transmitter.Tpo $(DEPDIR)/libfarstream_0.2_la-fs-transmitter.Plo
#	$(AM_V_CC)source='fs-transmitter.c' object='libfarstream_0.2_la-fs-transmitter.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -c -o libfarstream_0.2_la-fs-transmitter.lo `test -f 'fs-transmitter.c' || echo '$(srcdir)/'`fs-transmitter.c

libfarstream_0.2_la-fs-stream-transmitter.lo: fs-stream-transmitter.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -MT libfarstream_0.2_la-fs-stream-transmitter.lo -MD -MP -MF $(DEPDIR)/libfarstream_0.2_la-fs-stream-transmitter.Tpo -c -o libfarstream_0.2_la-fs-stream-transmitter.lo `test -f 'fs-stream-transmitter.c' || echo '$(srcdir)/'`fs-stream-transmitter.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libfarstream_0.2_la-fs-stream-transmitter.Tpo $(DEPDIR)/libfarstream_0.2_la-fs-stream-transmitter.Plo
#	$(AM_V_CC)source='fs-stream-transmitter.c' object='libfarstream_0.2_la-fs-stream-transmitter.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -c -o libfarstream_0.2_la-fs-stream-transmitter.lo `test -f 'fs-stream-transmitter.c' || echo '$(srcdir)/'`fs-stream-transmitter.c

libfarstream_0.2_la-fs-plugin.lo: fs-plugin.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -MT libfarstream_0.2_la-fs-plugin.lo -MD -MP -MF $(DEPDIR)/libfarstream_0.2_la-fs-plugin.Tpo -c -o libfarstream_0.2_la-fs-plugin.lo `test -f 'fs-plugin.c' || echo '$(srcdir)/'`fs-plugin.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libfarstream_0.2_la-fs-plugin.Tpo $(DEPDIR)/libfarstream_0.2_la-fs-plugin.Plo
#	$(AM_V_CC)source='fs-plugin.c' object='libfarstream_0.2_la-fs-plugin.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -c -o libfarstream_0.2_la-fs-plugin.lo `test -f 'fs-plugin.c' || echo '$(srcdir)/'`fs-plugin.c

libfarstream_0.2_la-fs-element-added-notifier.lo: fs-element-added-notifier.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -MT libfarstream_0.2_la-fs-element-added-notifier.lo -MD -MP -MF $(DEPDIR)/libfarstream_0.2_la-fs-element-added-notifier.Tpo -c -o libfarstream_0.2_la-fs-element-added-notifier.lo `test -f 'fs-element-added-notifier.c' || echo '$(srcdir)/'`fs-element-added-notifier.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libfarstream_0.2_la-fs-element-added-notifier.Tpo $(DEPDIR)/libfarstream_0.2_la-fs-element-added-notifier.Plo
#	$(AM_V_CC)source='fs-element-added-notifier.c' object='libfarstream_0.2_la-fs-element-added-notifier.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -c -o libfarstream_0.2_la-fs-element-added-notifier.lo `test -f 'fs-element-added-notifier.c' || echo '$(srcdir)/'`fs-element-added-notifier.c

libfarstream_0.2_la-fs-utils.lo: fs-utils.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -MT libfarstream_0.2_la-fs-utils.lo -MD -MP -MF $(DEPDIR)/libfarstream_0.2_la-fs-utils.Tpo -c -o libfarstream_0.2_la-fs-utils.lo `test -f 'fs-utils.c' || echo '$(srcdir)/'`fs-utils.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libfarstream_0.2_la-fs-utils.Tpo $(DEPDIR)/libfarstream_0.2_la-fs-utils.Plo
#	$(AM_V_CC)source='fs-utils.c' object='libfarstream_0.2_la-fs-utils.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -c -o libfarstream_0.2_la-fs-utils.lo `test -f 'fs-utils.c' || echo '$(srcdir)/'`fs-utils.c

libfarstream_0.2_la-fs-rtp.lo: fs-rtp.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -MT libfarstream_0.2_la-fs-rtp.lo -MD -MP -MF $(DEPDIR)/libfarstream_0.2_la-fs-rtp.Tpo -c -o libfarstream_0.2_la-fs-rtp.lo `test -f 'fs-rtp.c' || echo '$(srcdir)/'`fs-rtp.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libfarstream_0.2_la-fs-rtp.Tpo $(DEPDIR)/libfarstream_0.2_la-fs-rtp.Plo
#	$(AM_V_CC)source='fs-rtp.c' object='libfarstream_0.2_la-fs-rtp.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -c -o libfarstream_0.2_la-fs-rtp.lo `test -f 'fs-rtp.c' || echo '$(srcdir)/'`fs-rtp.c

libfarstream_0.2_la-fs-enumtypes.lo: fs-enumtypes.c
	$(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -MT libfarstream_0.2_la-fs-enumtypes.lo -MD -MP -MF $(DEPDIR)/libfarstream_0.2_la-fs-enumtypes.Tpo -c -o libfarstream_0.2_la-fs-enumtypes.lo `test -f 'fs-enumtypes.c' || echo '$(srcdir)/'`fs-enumtypes.c
	$(AM_V_at)$(am__mv) $(DEPDIR)/libfarstream_0.2_la-fs-enumtypes.Tpo $(DEPDIR)/libfarstream_0.2_la-fs-enumtypes.Plo
#	$(AM_V_CC)source='fs-enumtypes.c' object='libfarstream_0.2_la-fs-enumtypes.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(AM_V_CC_no)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfarstream_0.2_la_CFLAGS) $(CFLAGS) -c -o libfarstream_0.2_la-fs-enumtypes.lo `test -f 'fs-enumtypes.c' || echo '$(srcdir)/'`fs-enumtypes.c

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-dist_girDATA: $(dist_gir_DATA)
	@$(NORMAL_INSTALL)
	@list='$(dist_gir_DATA)'; test -n "$(girdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(girdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(girdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(girdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(girdir)" || exit $$?; \
	done

uninstall-dist_girDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_gir_DATA)'; test -n "$(girdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(girdir)'; $(am__uninstall_files_from_dir)
install-typelibDATA: $(typelib_DATA)
	@$(NORMAL_INSTALL)
	@list='$(typelib_DATA)'; test -n "$(typelibdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(typelibdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(typelibdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(typelibdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(typelibdir)" || exit $$?; \
	done

uninstall-typelibDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(typelib_DATA)'; test -n "$(typelibdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(typelibdir)'; $(am__uninstall_files_from_dir)
install-libfarstreamincludeHEADERS: $(libfarstreaminclude_HEADERS)
	@$(NORMAL_INSTALL)
	@list='$(libfarstreaminclude_HEADERS)'; test -n "$(libfarstreamincludedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libfarstreamincludedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libfarstreamincludedir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libfarstreamincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(libfarstreamincludedir)" || exit $$?; \
	done

uninstall-libfarstreamincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(libfarstreaminclude_HEADERS)'; test -n "$(libfarstreamincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(libfarstreamincludedir)'; $(am__uninstall_files_from_dir)
install-nodist_libfarstreamincludeHEADERS: $(nodist_libfarstreaminclude_HEADERS)
	@$(NORMAL_INSTALL)
	@list='$(nodist_libfarstreaminclude_HEADERS)'; test -n "$(libfarstreamincludedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libfarstreamincludedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libfarstreamincludedir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libfarstreamincludedir)'"; \
	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(libfarstreamincludedir)" || exit $$?; \
	done

uninstall-nodist_libfarstreamincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(nodist_libfarstreaminclude_HEADERS)'; test -n "$(libfarstreamincludedir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(libfarstreamincludedir)'; $(am__uninstall_files_from_dir)

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS)
installdirs:
	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(girdir)" "$(DESTDIR)$(typelibdir)" "$(DESTDIR)$(libfarstreamincludedir)" "$(DESTDIR)$(libfarstreamincludedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-dist_girDATA \
	install-libfarstreamincludeHEADERS \
	install-nodist_libfarstreamincludeHEADERS install-typelibDATA

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-libLTLIBRARIES

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-dist_girDATA uninstall-libLTLIBRARIES \
	uninstall-libfarstreamincludeHEADERS \
	uninstall-nodist_libfarstreamincludeHEADERS \
	uninstall-typelibDATA

.MAKE: all check install install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am check check-am clean clean-generic \
	clean-libLTLIBRARIES clean-libtool cscopelist-am ctags \
	ctags-am distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dist_girDATA install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am \
	install-libLTLIBRARIES install-libfarstreamincludeHEADERS \
	install-man install-nodist_libfarstreamincludeHEADERS \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip install-typelibDATA installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
	uninstall-am uninstall-dist_girDATA uninstall-libLTLIBRARIES \
	uninstall-libfarstreamincludeHEADERS \
	uninstall-nodist_libfarstreamincludeHEADERS \
	uninstall-typelibDATA

.PRECIOUS: Makefile


# these are all the rules generating the relevant files
$(glib_gen_basename)-enumtypes.h: $(glib_enum_headers)
	$(AM_V_GEN)glib-mkenums \
	--fhead "#ifndef __$(glib_enum_define)_ENUM_TYPES_H__\n#define __$(glib_enum_define)_ENUM_TYPES_H__\n\n#include <glib-object.h>\n\nG_BEGIN_DECLS\n" \
	--fprod "\n/* enumerations from \"@filename@\" */\n" \
	--vhead "GType @enum_name@_get_type (void);\n#define FS_TYPE_@ENUMSHORT@ (@enum_name@_get_type())\n" \
	--ftail "G_END_DECLS\n\n#endif /* __$(glib_enum_define)_ENUM_TYPES_H__ */" \
	$^ > $@

$(glib_gen_basename)-enumtypes.c: $(glib_enum_headers)
	@if test "x$(glib_enum_headers)" = "x"; then echo "ERROR: glib_enum_headers is empty, please fix Makefile"; exit 1; fi
	$(AM_V_GEN)glib-mkenums \
	--fhead "#include \"$(glib_gen_basename)-enumtypes.h\"\n$(enum_headers)" \
	--fprod "\n/* enumerations from \"@filename@\" */" \
	--vhead "GType\n@enum_name@_get_type (void)\n{\n  static volatile gsize g_define_type_id__volatile = 0;\n  if (g_once_init_enter (&g_define_type_id__volatile)) {\n    static const G@Type@Value values[] = {"     \
	--vprod "      { @VALUENAME@, \"@VALUENAME@\", \"@valuenick@\" }," \
	--vtail "      { 0, NULL, NULL }\n    };\n    GType g_define_type_id = g_@type@_register_static (\"@EnumName@\", values);\n    g_once_init_leave (&g_define_type_id__volatile, g_define_type_id);\n  }\n  return g_define_type_id__volatile;\n}\n" \
	$^ > $@

# a hack rule to make sure .Plo files exist because they get include'd
# from Makefile's
.deps/%-enumtypes.Plo:
	@touch $@

#include $(INTROSPECTION_MAKEFILE)
#Farstream-0.2.gir: libfarstream-0.2.la

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
